No Data Value for three band images
Status: Closed

Priority: Low

Assignee: ersts -

Category: Rasters

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 10502

Description

A common kludge for three band satellite images is to reserve either 0,0,0 or 255,255,255 for no data. Many satellite images have

significant background data. To mosaic images effectively requires a mechanism to make the nodata areas transparent.

History

#1 - 2006-12-11 02:10 PM - Redmine Admin

see also my wish: https://svn.qgis.org/trac/ticket/441

#2 - 2006-12-11 02:41 PM - fosnight-usgs-gov -

Replying to [comment:1 cavallini@faunalia.it]:

see also my wish: https://svn.qgis.org/trac/ticket/441

A more general proposal would certainly be preferred. Transparency is not handled elegantly within scientific systems. As formats, PNG and TIFF do

about the best for RGB images. My preference within QGIS would be to set the value for each band as a metadata/symbology property. Old school but

simple and independent of raster format.

#3 - 2007-11-30 09:31 PM - ersts -

This is being addresses in the raster transparency branch and is largely completed. Feedback on the modification in the branch from the original poster of

this ticket would be great.

#4 - 2008-01-10 11:40 PM - ersts -

- Resolution set to fixed

- Status changed from Open to Closed
